IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DashBoard_OSS_Faturalama_Analiz]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[DashBoard_OSS_Faturalama_Analiz]
GO

CREATE FUNCTION [dbo].[DashBoard_OSS_Faturalama_Analiz]
(
    @BasTar datetime,
    @BitTar datetime,
    @SubeId int
)
RETURNS TABLE
AS
RETURN
(

SELECT     
 COUNT (DISTINCT HDOSYA.HKIMLIKID) AS Hasta_Sayisi,  
 SUM(dbo.HDOSYA.KRMNETTUTAR) KRMNETTUTAR ,  
 SUM(HDOSYA.KRMFATTUTAR) KRMFATTUTAR,  
 SUM(dbo.HDOSYA.KRMNETTUTAR)-SUM(HDOSYA.KRMFATTUTAR) FATURALANMAMIS_TUTAR,  
 CASE WHEN SUM(HDOSYA.KRMFATTUTAR)<>0 THEN
	SUM(HDOSYA.KRMFATTUTAR)*100/SUM(dbo.HDOSYA.KRMNETTUTAR) 
 ELSE 0 END FATURALAMA_ORANI  
FROM        dbo.HDOSYA WITH (NOLOCK)    
   INNER  JOIN dbo.CARI AS KURUM WITH (NOLOCK) ON KURUM.CARIID = dbo.HDOSYA.HKCARIID  

WHERE  (dbo.HDOSYA.HDTEKLIF = 0) AND (dbo.HDOSYA.HDIPTAL = 0) AND KURUM.SIGKRM=1 AND KURUM.SGKURULUSUKULLAN =0 
       AND KURUM.SGKURULUSU = 0  AND KURUM.TSSZORUNLU = 0 AND HDOSYA.HDSGKURUMID IS NULL  
	    AND HDOSYA.SUBEID = @SubeId
		AND HDOSYA.HDTARIH >= @BasTar
		AND HDOSYA.HDTARIH < DATEADD(DAY,1,@BitTar)

)
GO


